# AME Integrity Check (ameck)

Tool for checking the integrity of an AME installation.

![AME Integrity Check Screenshot](screenshot.png)

## Usage

You can download the tool by going to the [latest release](https://git.ameliorated.info/Styris/ameck/releases) and selecting `ameck.exe` from the **Downloads** section.

Once downloaded, simply run `ameck.exe`.

## Summary

While AME installations are generally very resilient, certain user actions can trigger Windows to perform the self-healing process, causing previously removed programs like Microsoft Edge or Windows Update to appear, such as:

- running `/sfc` commands

- installing certain pirated software

- installing software that have significant privileges over a system, such as Microsoft Edge or antiviruses

To find out more about potential causes for self-healing, take a look at the [AME Self-Healing Report](https://wiki.ameliorated.info/lib/exe/fetch.php?media=ame-heal_2_.pdf).

In the event that you suspect an AME installation has been compromised, this tool can be used for checking the integrity of an AME installation.

## Compilation

Requirements:

* Visual Studio or relevant IDE with .NET desktop development

Steps:

1. Clone the repository:
   ```
   git clone https://git.ameliorated.info/Styris/ameck.git
   ```
2. Open `ameck.sln`

3. Set the build configuration to `Release | Any CPU`

4. Build the project